Package writer2latex.api

# Interface BatchHandler

All Known Implementing Classes:
  `BatchHandlerAdapter`, `BatchHandlerImpl`

public interface BatchHandler
This is a call back interface to handle user interaction during a batch conversion with a `BatchConverter`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`cancel()`
Notification that the conversion may be cancelled.
`void`
`endConversion()`
Notification that the conversion has finished
`void`
`endDirectory(String sName, boolean bSuccess)`
Notification that a directory conversion has finished
`void`
`endFile(String sName, boolean bSuccess)`
Notification that a file conversion has finished
`void`
`startConversion()`
Notification that the conversion is started
`void`
`startDirectory(String sName)`
Notification that a directory conversion starts
`void`
`startFile(String sName)`
Notification that a file conversion starts

## Method Details

### startConversion

void startConversion()
Notification that the conversion is started

### endConversion

void endConversion()
Notification that the conversion has finished

### startDirectory

void startDirectory(String sName)
Notification that a directory conversion starts

Parameters:
  `sName` - the name of the directory to convert

### endDirectory

void endDirectory(String sName, boolean bSuccess)
Notification that a directory conversion has finished

Parameters:
  `sName` - the name of the directory
  `bSuccess` - true if the conversion was successful (this only means that the index page was created with success, not that the conversion of files and subdirectories was successful)

### startFile

void startFile(String sName)
Notification that a file conversion starts

Parameters:
  `sName` - the name of the file to convert

### endFile

void endFile(String sName, boolean bSuccess)
Notification that a file conversion has finished

Parameters:
  `sName` - the name of the file
  `bSuccess` - true if the conversion of this file was successful

### cancel

boolean cancel()
Notification that the conversion may be cancelled. The `BatchConverter` fires this event once per document. Cancelling the conversion does not delete files that was already converted

Returns:
  true if the handler wants to cancel the conversion